xn::MapMetaData Class Reference
C++ Reference to Application Programmer Interface (API) » Meta-Data Objects (Frame Objects)

`#include <XnCppWrapper.h>`

Inheritance diagram for xn::MapMetaData:
[legend]

## Public Member Functions

| MapMetaData (XnPixelFormat format, const XnUInt8 **ppData)
XnUInt32 | XRes () const
XnUInt32 & | XRes ()
XnUInt32 | YRes () const
XnUInt32 & | YRes ()
XnUInt32 | XOffset () const
XnUInt32 & | XOffset ()
XnUInt32 | YOffset () const
XnUInt32 & | YOffset ()
XnUInt32 | FullXRes () const
XnUInt32 & | FullXRes ()
XnUInt32 | FullYRes () const
XnUInt32 & | FullYRes ()
XnUInt32 | FPS () const
XnUInt32 & | FPS ()
XnPixelFormat | PixelFormat () const
const XnMapMetaData * | GetUnderlying () const
XnMapMetaData * | GetUnderlying ()
XnUInt32 | BytesPerPixel () const
XnStatus | AllocateData (XnUInt32 nXRes, XnUInt32 nYRes)
XnStatus | ReAdjust (XnUInt32 nXRes, XnUInt32 nYRes, const XnUInt8 *pExternalBuffer)
Public Member Functions inherited from xn::OutputMetaData
| OutputMetaData (const XnUInt8 **ppData)
virtual | ~OutputMetaData ()
XnUInt64 | Timestamp () const
XnUInt64 & | Timestamp ()
XnUInt32 | FrameID () const
XnUInt32 & | FrameID ()
XnUInt32 | DataSize () const
XnUInt32 & | DataSize ()
XnBool | IsDataNew () const
XnBool & | IsDataNew ()
const XnOutputMetaData * | GetUnderlying () const
XnOutputMetaData * | GetUnderlying ()
const XnUInt8 * | Data () const
const XnUInt8 *& | Data ()
XnUInt8 * | WritableData ()
XnStatus | AllocateData (XnUInt32 nBytes)
void | Free ()
XnStatus | MakeDataWritable ()

## Protected Member Functions

XnPixelFormat & | PixelFormatImpl ()

## Additional Inherited Members

Protected Attributes inherited from xn::OutputMetaData
XnUInt8 * | m_pAllocatedData

## Detailed Description

The MapMetaData class is a base class for providing the fast data access functionality for the frame object saved in metadata. This functionality is applicable to all generator nodes that have an associated metadata object.

MapMetaData is the next metadata class in the metadata hierarchy after the OutputMetaData class.

The MapMetaData class - like OutputMetaData - is never instantiated; it is a base class of the OpenNI metadata class hierarchy.

## Constructor & Destructor Documentation

## MapMetaData()

xn::MapMetaData::MapMetaData | ( | XnPixelFormat | format,
|  | const XnUInt8 ** | ppData )

inline

Ctor. Intended for use by inheriting classes.

Parameters

  [in] | format | Pixel Format
  [in] | ppData | A pointer to the data member of the meta data object

## Member Function Documentation

## AllocateData()

XnStatus xn::MapMetaData::AllocateData | ( | XnUInt32 | nXRes,
|  | XnUInt32 | nYRes )

inline

Allocates a writable buffer. If a previous buffer was allocated it will be freed (or reused if possible).

Parameters

  [in] | nXRes | The number of required columns in the map.
  [in] | nYRes | The number of required rows in the map.

## BytesPerPixel()

XnUInt32 xn::MapMetaData::BytesPerPixel | ( |  | ) | const

inline

Gets the number of bytes each pixel occupies.

## FPS() [1/2]

XnUInt32 & xn::MapMetaData::FPS | ( |  | ) |

inline

Gets the FPS in which frame was generated.

## FPS() [2/2]

XnUInt32 xn::MapMetaData::FPS | ( |  | ) | const

inline

Gets the FPS in which frame was generated.

## FullXRes() [1/2]

XnUInt32 & xn::MapMetaData::FullXRes | ( |  | ) |

inline

Gets the number of columns in the full frame (entire field-of-view, ignoring cropping).

## FullXRes() [2/2]

XnUInt32 xn::MapMetaData::FullXRes | ( |  | ) | const

inline

Gets the number of columns in the full frame (entire field-of-view, ignoring cropping).

## FullYRes() [1/2]

XnUInt32 & xn::MapMetaData::FullYRes | ( |  | ) |

inline

Gets the number of rows in the full frame (entire field-of-view, ignoring cropping).

## FullYRes() [2/2]

XnUInt32 xn::MapMetaData::FullYRes | ( |  | ) | const

inline

Gets the number of rows in the full frame (entire field-of-view, ignoring cropping).

## GetUnderlying() [1/2]

XnMapMetaData * xn::MapMetaData::GetUnderlying | ( |  | ) |

inline

Gets the C object that is wrapped by this object.

## GetUnderlying() [2/2]

const XnMapMetaData * xn::MapMetaData::GetUnderlying | ( |  | ) | const

inline

Gets the C object that is wrapped by this object.

## PixelFormat()

XnPixelFormat xn::MapMetaData::PixelFormat | ( |  | ) | const

inline

Gets the pixel format of the pixel-map.

## PixelFormatImpl()

XnPixelFormat & xn::MapMetaData::PixelFormatImpl | ( |  | ) |

inline protected

## ReAdjust()

XnStatus xn::MapMetaData::ReAdjust | ( | XnUInt32 | nXRes,
|  | XnUInt32 | nYRes,
|  | const XnUInt8 * | pExternalBuffer )

inline

Changes dimensions of the pixel-map.

Parameters

  [in] | nXRes | Number of columns in the map
  [in] | nYRes | Number of rows in the map
  [in] | pExternalBuffer | Optional. An external buffer to be used. If NULL is passed, a buffer will be allocated.

## XOffset() [1/2]

XnUInt32 & xn::MapMetaData::XOffset | ( |  | ) |

inline

Gets the cropping area X offset of the frame object saved in this object. This is the horizontal offset, measured in units of pixel columns, of the buffer within the field of view.

Remarks

The X offset is 0 if cropping is disabled (see XnCropping).

## XOffset() [2/2]

XnUInt32 xn::MapMetaData::XOffset | ( |  | ) | const

inline

Gets the cropping area X offset of the frame object saved in this object. This is the horizontal offset, measured in units of pixel columns, of the buffer within the field of view.

Remarks

The X offset is 0 if cropping is disabled (see XnCropping).

## XRes() [1/2]

XnUInt32 & xn::MapMetaData::XRes | ( |  | ) |

inline

Gets the frame X resolution of the frame object saved in this object. The X resolution is the actual number of columns in the frame after any required cropping has been applied.

## XRes() [2/2]

XnUInt32 xn::MapMetaData::XRes | ( |  | ) | const

inline

Gets the frame X resolution of the frame object saved in this object. The X resolution is the actual number of columns in the frame after any required cropping has been applied.

## YOffset() [1/2]

XnUInt32 & xn::MapMetaData::YOffset | ( |  | ) |

inline

Gets the cropping area Y offset of the frame object saved in this object. This is the vertical offset, measured in units of pixel rows, of the buffer within the field of view.

Remarks

The Y offset is 0 if cropping is disabled (see XnCropping).

## YOffset() [2/2]

XnUInt32 xn::MapMetaData::YOffset | ( |  | ) | const

inline

Gets the cropping area Y offset of the frame object saved in this object. This is the vertical offset, measured in units of pixel rows, of the buffer within the field of view.

Remarks

The Y offset is 0 if cropping is disabled (see XnCropping).

## YRes() [1/2]

XnUInt32 & xn::MapMetaData::YRes | ( |  | ) |

inline

Gets the frame Y resolution of the frame object saved in this object. The Y resolution is the actual number of rows in the frame after any required cropping has been applied.

## YRes() [2/2]

XnUInt32 xn::MapMetaData::YRes | ( |  | ) | const

inline

Gets the frame Y resolution of the frame object saved in this object. The Y resolution is the actual number of rows in the frame after any required cropping has been applied.

The documentation for this class was generated from the following file:

- XnCppWrapper.h